import webiopi

GPIO = webiopi.GPIO

# ROW側がカソード、COLOMN側がアノードの8x8マトリックスLED
PIN_ANO = [23, 4, 17, 8, 22, 25, 15, 14]
PIN_CAT = [7, 18, 9, 24, 2, 10, 3, 27]


def setup():
	# アノードを、LOWで初期化
	for ano in range(8):
		GPIO.setFunction( PIN_ANO[ano], GPIO.OUT )
		GPIO.digitalWrite( PIN_ANO[ano], False )

	# カソードを、HIGHで初期化
	for cat in range(8):
		GPIO.setFunction( PIN_CAT[cat], GPIO.OUT )
		GPIO.digitalWrite( PIN_CAT[cat], True )

def loop():
	# カソードのループ
	for cat in range(8):
		GPIO.digitalWrite( PIN_CAT[cat], False ) # LOWに変更
		# アノードのループ
		for ano in range(8):
			GPIO.digitalWrite( PIN_ANO[ano], True ) # HIGHに変更
			webiopi.sleep( 0.1 ) # 点灯時間
			GPIO.digitalWrite( PIN_ANO[ano], False ) # LOWに戻す
		GPIO.digitalWrite( PIN_CAT[cat], True ) # HIGHに戻す
